Subject: Re: bug#21301: 25.0.50; Emacs Trunk: Fringe bitmaps confuse foreground/background colors.

From: Eli Zaretskii <[email-masked]>
Date: Sun, 23 Aug 2015 17:05:17 +0300

> Date: Sun, 23 Aug 2015 05:43:05 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > Date:  Sat, 22 Aug 2015 16:45:10 -0700
> > From:  Keith David Bershatsky <[email-masked]>
> > Cc:  [email-masked]
> > 
> > I see the opposite -- the bitmap has a red background and the arrow itself is white.  The background of the buffer in this test is the standard white with "emacs -Q".  The test was performed with a fresh build from today.
> 
> Then I guess this is a Darwin-specific issue.

I looked in nsterm.m at ns_draw_fringe_bitmap and didn't see anything
clearly wrong.  But then I don't really understand that code.  Could
you perhaps step with a debugger through that function, and see what's
wrong there?

Thanks.